Package com.google.android.exoplayer2.util

## Class SurfaceInfo

- java.lang.Object
- - com.google.android.exoplayer2.util.SurfaceInfo

-     public final class SurfaceInfo
      extends Object

  Immutable value class for a `Surface` and supporting information.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `height` | The height of frames rendered to the `surface`, in pixels.
    `int` | `orientationDegrees` | A counter-clockwise rotation to apply to frames before rendering them to the `surface`.
    `Surface` | `surface` | The `Surface`.
    `int` | `width` | The width of frames rendered to the `surface`, in pixels.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SurfaceInfo​(Surface surface, int width, int height)` | Creates a new instance.
    `SurfaceInfo​(Surface surface, int width, int height, int orientationDegrees)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### surface

          public final Surface surface

      The `Surface`.

    - #### width

          public final int width

      The width of frames rendered to the `surface`, in pixels.

    - #### height

          public final int height

      The height of frames rendered to the `surface`, in pixels.

    - #### orientationDegrees

          public final int orientationDegrees

      A counter-clockwise rotation to apply to frames before rendering them to the `surface`.

      Must be 0, 90, 180, or 270 degrees. Default is 0.

  - ### Constructor Detail

    - #### SurfaceInfo

          public SurfaceInfo​(Surface surface,
                             int width,
                             int height)

      Creates a new instance.

    - #### SurfaceInfo

          public SurfaceInfo​(Surface surface,
                             int width,
                             int height,
                             int orientationDegrees)

      Creates a new instance.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`